{"models":[{"endpoint_id":"fal-ai/ltx-2-19b/video-to-video","metadata":{"display_name":"LTX-2 19B","category":"video-to-video","description":"Generate video with audio from videos using LTX-2","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8961f3/1XEMGDaYbwvev5g0UU3DG_e6cfe8e5c1ee4472af89f76d0309eb8c.jpg","model_url":"https://fal.run/fal-ai/ltx-2-19b/video-to-video","license_type":"commercial","date":"2026-01-07T03:32:57.344Z","group":{"key":"ltx-2-19b","label":"Video to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx2-video-trainer"],"inference_endpoint_ids":["fal-ai/ltx2-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2-19b/video-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2-19b/video-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2-19b/video-to-video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8961f3/1XEMGDaYbwvev5g0UU3DG_e6cfe8e5c1ee4472af89f76d0309eb8c.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2-19b/video-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2-19b/video-to-video/api","about":"Generate a video from a video and text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx219bVideoToVideoInput":{"required":["prompt","video_url"],"type":"object","title":"LTX2VideoToVideoInput","properties":{"num_frames":{"maximum":481,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","default":121,"minimum":9},"camera_lora_scale":{"maximum":1,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","default":1,"minimum":0},"video_output_type":{"enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"type":"string","title":"Video Output Type","default":"X264 (.mp4)","description":"The output type of the generated video."},"num_inference_steps":{"maximum":50,"description":"The number of inference steps to use.","type":"integer","title":"Number of Inference Steps","default":40,"minimum":8},"fps":{"maximum":60,"description":"The frames per second of the generated video.","type":"number","title":"FPS","default":25,"minimum":1},"audio_url":{"description":"An optional URL of an audio to use as the audio for the video. If not provided, any audio present in the input video will be used.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Audio URL"},"end_image_strength":{"maximum":1,"description":"The strength of the end image to use for the video generation.","type":"number","title":"End Image Strength","default":1,"minimum":0},"enable_safety_checker":{"type":"boolean","title":"Enable Safety Checker","default":true,"description":"Whether to enable the safety checker."},"camera_lora":{"enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"examples":["none"],"type":"string","title":"Camera LoRA","default":"none","description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera."},"preprocessor":{"enum":["depth","canny","pose","none"],"examples":["none"],"description":"The preprocessor to use for the video. When a preprocessor is used and `ic_lora_type` is set to `match_preprocessor`, the IC-LoRA will be loaded based on the preprocessor type.","type":"string","title":"Preprocessor","default":"none"},"video_quality":{"enum":["low","medium","high","maximum"],"type":"string","title":"Video Quality","default":"high","description":"The quality of the generated video."},"image_strength":{"maximum":1,"description":"The strength of the image to use for the video generation.","type":"number","title":"Image Strength","default":1,"minimum":0},"end_image_url":{"description":"The URL of the image to use as the end of the video.","anyOf":[{"type":"string"},{"type":"null"}],"title":"End Image URL"},"enable_prompt_expansion":{"type":"boolean","title":"Enable Prompt Expansion","default":true,"description":"Whether to enable prompt expansion."},"ic_lora_scale":{"maximum":1,"description":"The scale of the IC-LoRA to use. This allows you to control the strength of the IC-LoRA.","type":"number","title":"IC-LoRA Scale","default":1,"minimum":0},"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"prompt":{"examples":["black-and-white video, a cowboy walks through a dusty town, film grain"],"type":"string","title":"Prompt","description":"The prompt to generate the video from."},"video_url":{"examples":["https://v3b.fal.media/files/b/0a8824b1/sdm0KfmenrlywesfzY1Y1_if6euPp1.mp4"],"type":"string","title":"Video URL","description":"The URL of the video to generate the video from."},"sync_mode":{"type":"boolean","title":"Sync Mode","default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"video_write_mode":{"enum":["fast","balanced","small"],"type":"string","title":"Video Write Mode","default":"balanced","description":"The write mode of the generated video."},"video_size":{"description":"The size of the generated video.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"title":"Video Size","default":"auto"},"match_video_length":{"description":"When enabled, the number of frames will be calculated based on the video duration and FPS. When disabled, use the specified num_frames.","type":"boolean","title":"Match Video Length","default":true},"negative_prompt":{"type":"string","title":"Negative Prompt","default":"blurry, out of focus, overexposed, underexposed, low contrast, washed out colors, excessive noise, grainy texture, poor lighting, flickering, motion blur, distorted proportions, unnatural skin tones, deformed facial features, asymmetrical face, missing facial features, extra limbs, disfigured hands, wrong hand count, artifacts around text, inconsistent perspective, camera shake, incorrect depth of field, background too sharp, background clutter, distracting reflections, harsh shadows, inconsistent lighting direction, color banding, cartoonish rendering, 3D CGI look, unrealistic materials, uncanny valley effect, incorrect ethnicity, wrong gender, exaggerated expressions, wrong gaze direction, mismatched lip sync, silent or muted audio, distorted voice, robotic voice, echo, background noise, off-sync audio,incorrect dialogue, added dialogue, repetitive speech, jittery movement, awkward pauses, incorrect timing, unnatural transitions, inconsistent framing, tilted camera, flat lighting, inconsistent tone, cinematic oversaturation, stylized filters, or AI artifacts.","description":"The negative prompt to generate the video from."},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed for the random number generator."},"guidance_scale":{"maximum":10,"description":"The guidance scale to use.","type":"number","title":"Guidance Scale","default":3,"minimum":1},"acceleration":{"enum":["none","regular","high","full"],"examples":["regular"],"type":"string","title":"Acceleration","default":"regular","description":"The acceleration level to use."},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"match_input_fps":{"description":"When true, match the output FPS to the input video's FPS instead of using the default target FPS.","type":"boolean","title":"Match Input FPS","default":true},"video_strength":{"maximum":1,"description":"Video conditioning strength. Lower values represent more freedom given to the model to change the video content.","type":"number","title":"Video Strength","default":1,"minimum":0},"image_url":{"description":"An optional URL of an image to use as the first frame of the video.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Image URL"},"ic_lora":{"enum":["match_preprocessor","canny","depth","pose","detailer","none"],"examples":["match_preprocessor"],"description":"The type of IC-LoRA to load. In-Context LoRA weights are used to condition the video based on edge, depth, or pose videos. Only change this from `match_preprocessor` if your videos are already preprocessed (or you are using the detailer.)","type":"string","title":"IC-LoRA","default":"match_preprocessor"},"audio_strength":{"maximum":1,"description":"Audio conditioning strength. Lower values represent more freedom given to the model to change the audio content.","type":"number","title":"Audio Strength","default":1,"minimum":0}},"x-fal-order-properties":["prompt","video_url","audio_url","image_url","end_image_url","match_video_length","num_frames","video_size","generate_audio","use_multiscale","match_input_fps","fps","guidance_scale","num_inference_steps","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","preprocessor","ic_lora","ic_lora_scale","image_strength","end_image_strength","video_strength","audio_strength"]},"Ltx219bVideoToVideoOutput":{"required":["video","seed","prompt"],"type":"object","title":"LTX2VideoToVideoOutput","properties":{"prompt":{"examples":["black-and-white video, a cowboy walks through a dusty town, film grain"],"type":"string","title":"Prompt","description":"The prompt used for the generation."},"video":{"examples":[{"file_name":"SaTGe87IpMUMiSq33w5Qb_RoCJFZhc.mp4","url":"https://v3b.fal.media/files/b/0a895ed5/SaTGe87IpMUMiSq33w5Qb_RoCJFZhc.mp4","content_type":"video/mp4","num_frames":161,"duration":6.44,"fps":25,"width":1248,"height":704}],"$ref":"#/components/schemas/VideoFile","description":"The generated video."},"seed":{"examples":[1490631192028410600],"type":"integer","title":"Seed","description":"The seed used for the random number generator."}},"x-fal-order-properties":["video","seed","prompt"]},"ImageSize":{"type":"object","title":"ImageSize","properties":{"width":{"maximum":14142,"description":"The width of the generated image.","type":"integer","title":"Width","default":512,"exclusiveMinimum":0},"height":{"maximum":14142,"description":"The height of the generated image.","type":"integer","title":"Height","default":512,"exclusiveMinimum":0}},"x-fal-order-properties":["width","height"]},"VideoFile":{"required":["url"],"type":"object","title":"VideoFile","properties":{"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file."},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Frames","description":"The number of frames in the video"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes."},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration","description":"The duration of the video"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the video"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps","description":"The FPS of the video"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the video"}},"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/fal-ai/ltx-2-19b/video-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2-19b/video-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2-19b/video-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx219bVideoToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2-19b/video-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx219bVideoToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/o1/standard/video-to-video/reference","metadata":{"display_name":"Kling O1 Reference Video to Video [Standard]","category":"video-to-video","description":"Kling O1 Omni generates new shots guided by an input reference video, preserving cinematic language such as motion, and camera style to produce seamless scene continuity.","status":"active","tags":[],"updated_at":"2026-04-26T22:25:17.147Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a86615a/KJdMDK3gyg1EI_R6Hw1S2_d70d13f9a3e74c18b228654ea81a7077.jpg","model_url":"https://fal.run/fal-ai/kling-video/o1/standard/video-to-video/reference","license_type":"commercial","date":"2025-12-15T09:36:27.690Z","group":{"key":"kling-video/o1","label":"Reference V2V [Standard]"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kling-video/o1/standard/video-to-video/reference","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/o1/standard/video-to-video/reference queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/o1/standard/video-to-video/reference","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a86615a/KJdMDK3gyg1EI_R6Hw1S2_d70d13f9a3e74c18b228654ea81a7077.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/o1/standard/video-to-video/reference","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/o1/standard/video-to-video/reference/api","about":"Generate a video from a reference video (standard mode)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoO1StandardVideoToVideoReferenceInput":{"description":"Input for video editing or video-as-reference generation.","required":["prompt","video_url"],"properties":{"keep_audio":{"default":false,"title":"Keep Audio","description":"Whether to keep the original audio from the video.","type":"boolean"},"elements":{"examples":[[{"frontal_image_url":"https://v3b.fal.media/files/b/panda/MQp-ghIqshvMZROKh9lW3.png","reference_image_urls":["https://v3b.fal.media/files/b/kangaroo/YMpmQkYt9xugpOTQyZW0O.png","https://v3b.fal.media/files/b/zebra/d6ywajNyJ6bnpa_xBue-K.png"]}]],"title":"Elements","anyOf":[{"items":{"$ref":"#/components/schemas/OmniVideoElementInput"},"type":"array"},{"type":"null"}],"description":"Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2, etc. Maximum 4 total (elements + reference images) when using video."},"prompt":{"maxLength":2500,"examples":["Based on @Video1, generate the next shot. keep the style of the video"],"title":"Prompt","description":"Use @Element1, @Element2 to reference elements and @Image1, @Image2 to reference images in order.","type":"string"},"image_urls":{"examples":[[]],"title":"Image Urls","anyOf":[{"items":{"ui":{"field":"image"},"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},"type":"array"},{"type":"null"}],"description":"Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video."},"aspect_ratio":{"default":"auto","title":"Aspect Ratio","enum":["auto","16:9","9:16","1:1"],"description":"The aspect ratio of the generated video frame. If 'auto', the aspect ratio will be determined automatically based on the input video, and the closest aspect ratio to the input video will be used.","type":"string"},"duration":{"default":"5","title":"Duration","enum":["3","4","5","6","7","8","9","10"],"description":"Video duration in seconds.","type":"string"},"video_url":{"type":"string","examples":["https://v3b.fal.media/files/b/panda/oVdiICFXY03Vbam-08Aj8_output.mp4"],"title":"Video Url","x-fal":{"min_fps":24,"max_duration":10.05,"max_file_size":209715200,"min_duration":3,"min_width":720,"max_height":2160,"max_fps":60,"min_height":720,"max_width":2160,"timeout":30},"description":"Reference video URL. Only .mp4/.mov formats supported, 3-10 seconds duration, 720-2160px resolution, max 200MB.\n\nMax file size: 200.0MB, Min width: 720px, Min height: 720px, Max width: 2160px, Max height: 2160px, Min duration: 3.0s, Max duration: 10.05s, Min FPS: 24.0, Max FPS: 60.0, Timeout: 30.0s"}},"title":"OmniV2VReferenceInput","type":"object","x-fal-order-properties":["prompt","video_url","keep_audio","image_urls","elements","aspect_ratio","duration"]},"KlingVideoO1StandardVideoToVideoReferenceOutput":{"required":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video.","examples":[{"content_type":"video/mp4","file_size":28472159,"url":"https://v3b.fal.media/files/b/kangaroo/3n_Lpxm_SjK5NYyBobRdS_output.mp4","file_name":"output.mp4"}]}},"title":"OmniV2VReferenceOutput","type":"object","x-fal-order-properties":["video"]},"OmniVideoElementInput":{"required":["frontal_image_url"],"properties":{"frontal_image_url":{"type":"string","title":"Frontal Image Url","x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"description":"The frontal image of the element (main view).\n\nMax file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},"reference_image_urls":{"items":{"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},"title":"Reference Image Urls","description":"Additional reference images from different angles. 1-3 images supported. At least one image is required.","type":"array"}},"title":"OmniVideoElementInput","type":"object","x-fal-order-properties":["frontal_image_url","reference_image_urls"]},"File":{"required":["url"],"properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]}},"title":"File","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kling-video/o1/standard/video-to-video/reference/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o1/standard/video-to-video/reference/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/o1/standard/video-to-video/reference":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO1StandardVideoToVideoReferenceInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o1/standard/video-to-video/reference/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO1StandardVideoToVideoReferenceOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video-13b-distilled/multiconditioning","metadata":{"display_name":"LTX Video-0.9.7 13B Distilled","category":"video-to-video","description":"Generate videos from prompts, images, and videos using LTX Video-0.9.7 13B Distilled and custom LoRA","status":"active","tags":["video","ltx-video","video-to-video","multicondition-to-video","image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training.jpg","model_url":"https://fal.run/fal-ai/ltx-video-13b-distilled/multiconditioning","license_type":"commercial","date":"2025-05-17T02:02:53.741Z","group":{"key":"ltx-video-13b-distilled","label":"Multicondition to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx-video-trainer"],"inference_endpoint_ids":["fal-ai/ltx-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-video-13b-distilled/multiconditioning","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video-13b-distilled/multiconditioning queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video-13b-distilled/multiconditioning","category":"video-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Training.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video-13b-distilled/multiconditioning","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video-13b-distilled/multiconditioning/api","about":"Generate a video from a prompt and any number of images and video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideo13bDistilledMulticonditioningInput":{"required":["prompt"],"properties":{"frame_rate":{"maximum":60,"title":"Frame Rate","examples":[24],"default":24,"minimum":1,"description":"The frame rate of the video.","type":"integer"},"num_frames":{"maximum":1441,"title":"Number of Frames","examples":[121],"default":121,"minimum":9,"description":"The number of frames in the video.","type":"integer"},"loras":{"default":[],"title":"Loras","items":{"$ref":"#/components/schemas/LoRAWeight"},"description":"LoRA weights to use for generation","type":"array"},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation"},"reverse_video":{"default":false,"title":"Reverse Video","examples":[false],"description":"Whether to reverse the video.","type":"boolean"},"aspect_ratio":{"default":"auto","title":"Aspect Ratio","examples":["auto"],"enum":["9:16","1:1","16:9","auto"],"description":"The aspect ratio of the video.","type":"string"},"second_pass_num_inference_steps":{"maximum":12,"title":"Second Pass Number of Inference Steps","examples":[8],"default":8,"minimum":2,"description":"Number of inference steps during the second pass.","type":"integer"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","examples":[true],"description":"Whether to enable the safety checker. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean"},"expand_prompt":{"default":false,"title":"Expand Prompt","examples":[false],"description":"Whether to expand the prompt using a language model.","type":"boolean"},"first_pass_num_inference_steps":{"maximum":12,"title":"Number of Inference Steps","examples":[8],"default":8,"minimum":2,"description":"Number of inference steps during the first pass.","type":"integer"},"tone_map_compression_ratio":{"default":0,"title":"Tone Map Compression Ratio","maximum":1,"description":"The compression ratio for tone mapping. This is used to compress the dynamic range of the video to improve visual quality. A value of 0.0 means no compression, while a value of 1.0 means maximum compression.","type":"number","multipleOf":0.05,"examples":[0],"minimum":0},"constant_rate_factor":{"maximum":51,"title":"Constant Rate Factor","examples":[29],"default":29,"minimum":0,"description":"The constant rate factor (CRF) to compress input media with. Compressed input media more closely matches the model's training data, which can improve motion quality.","type":"integer"},"negative_prompt":{"default":"worst quality, inconsistent motion, blurry, jittery, distorted","title":"Negative Prompt","description":"Negative prompt for generation","type":"string"},"videos":{"default":[],"title":"Videos","items":{"$ref":"#/components/schemas/VideoConditioningInput"},"type":"array","description":"Videos to use as conditioning"},"temporal_adain_factor":{"default":0.5,"title":"Temporal AdaIN Factor","maximum":1,"description":"The factor for adaptive instance normalization (AdaIN) applied to generated video chunks after the first. This can help deal with a gradual increase in saturation/contrast in the generated video by normalizing the color distribution across the video. A high value will ensure the color distribution is more consistent across the video, while a low value will allow for more variation in color distribution.","type":"number","multipleOf":0.05,"examples":[0.5],"minimum":0},"prompt":{"title":"Prompt","examples":["A vibrant, abstract composition featuring a person with outstretched arms, rendered in a kaleidoscope of colors against a deep, dark background. The figure is composed of intricate, swirling patterns reminiscent of a mosaic, with hues of orange, yellow, blue, and green that evoke the style of artists such as Wassily Kandinsky or Bridget Riley. The camera zooms into the face striking portrait of a man, reimagined through the lens of old-school video-game graphics. The subject's face is rendered in a kaleidoscope of colors, with bold blues and reds set against a vibrant yellow backdrop. His dark hair is pulled back, framing his profile in a dramatic pose."],"description":"Text prompt to guide generation","type":"string"},"second_pass_skip_initial_steps":{"maximum":11,"title":"Second Pass Skip Initial Steps","examples":[5],"default":5,"minimum":1,"description":"The number of inference steps to skip in the initial steps of the second pass. By skipping some steps at the beginning, the second pass can focus on smaller details instead of larger changes.","type":"integer"},"enable_detail_pass":{"default":false,"title":"Enable Detail Pass","examples":[false],"description":"Whether to use a detail pass. If True, the model will perform a second pass to refine the video and enhance details. This incurs a 2.0x cost multiplier on the base price.","type":"boolean"},"resolution":{"default":"720p","title":"Resolution","examples":["720p"],"enum":["480p","720p"],"description":"Resolution of the generated video.","type":"string"},"images":{"default":[],"title":"Images","examples":[[{"start_frame_num":0,"image_url":"https://storage.googleapis.com/falserverless/model_tests/ltx/NswO1P8sCLzrh1WefqQFK_9a6bdbfa54b944c9a770338159a113fd.jpg","strength":1},{"start_frame_num":120,"image_url":"https://storage.googleapis.com/falserverless/model_tests/ltx/YAPOGvmS2tM_Krdp7q6-d_267c97e017c34f679844a4477dfcec38.jpg","strength":1}]],"items":{"$ref":"#/components/schemas/ImageConditioningInput"},"type":"array","description":"URL of images to use as conditioning"}},"title":"DistilledMultiConditioningVideoInput","x-fal-order-properties":["prompt","negative_prompt","loras","resolution","aspect_ratio","seed","num_frames","first_pass_num_inference_steps","second_pass_num_inference_steps","second_pass_skip_initial_steps","frame_rate","expand_prompt","reverse_video","enable_safety_checker","enable_detail_pass","temporal_adain_factor","tone_map_compression_ratio","constant_rate_factor","images","videos"],"type":"object"},"LtxVideo13bDistilledMulticonditioningOutput":{"required":["video","prompt","seed"],"properties":{"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/ltxv-multiconditioning-output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"prompt":{"title":"Prompt","examples":["A vibrant, abstract composition featuring a person with outstretched arms, rendered in a kaleidoscope of colors against a deep, dark background. The figure is composed of intricate, swirling patterns reminiscent of a mosaic, with hues of orange, yellow, blue, and green that evoke the style of artists such as Wassily Kandinsky or Bridget Riley. The camera zooms into the face striking portrait of a man, reimagined through the lens of old-school video-game graphics. The subject's face is rendered in a kaleidoscope of colors, with bold blues and reds set against a vibrant yellow backdrop. His dark hair is pulled back, framing his profile in a dramatic pose."],"description":"The prompt used for generation.","type":"string"}},"title":"MultiConditioningVideoOutput","x-fal-order-properties":["video","prompt","seed"],"type":"object"},"LoRAWeight":{"required":["path"],"properties":{"weight_name":{"title":"Weight Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights."},"scale":{"maximum":4,"title":"Scale","default":1,"minimum":0,"description":"Scale of the LoRA weight. This is a multiplier applied to the LoRA weight when loading it.","type":"number"},"path":{"title":"Path","description":"URL or path to the LoRA weights.","type":"string"}},"title":"LoRAWeight","x-fal-order-properties":["path","weight_name","scale"],"type":"object"},"VideoConditioningInput":{"required":["video_url"],"properties":{"video_url":{"title":"Video URL","description":"URL of video to use as conditioning","type":"string"},"max_num_frames":{"maximum":1441,"title":"Maximum Number of Frames","examples":[1441],"default":1441,"minimum":1,"description":"Maximum number of frames to use from the video. If None, all frames will be used.","type":"integer"},"reverse_video":{"default":false,"title":"Reverse Video","description":"Whether to reverse the video. This is useful for tasks where the video conditioning should be applied in reverse order.","type":"boolean"},"preprocess":{"default":false,"title":"Preprocess","description":"Whether to preprocess the video. If True, the video will be preprocessed to match the conditioning type. This is a no-op for RGB conditioning.","type":"boolean"},"resample_fps":{"default":false,"title":"Resample FPS","description":"Whether to resample the video to a specific FPS. If True, the `target_fps` parameter will be used to resample the video.","type":"boolean"},"target_fps":{"maximum":60,"title":"Target FPS","examples":[24],"default":24,"minimum":1,"description":"Target FPS to resample the video to. Only relevant if `resample_fps` is True.","type":"integer"},"start_frame_num":{"maximum":1440,"title":"Start Frame Number","multipleOf":8,"default":0,"minimum":0,"description":"Frame number of the video from which the conditioning starts. Must be a multiple of 8.","type":"integer"},"conditioning_type":{"default":"rgb","title":"Conditioning Type","examples":["rgb"],"anyOf":[{"enum":["rgb","depth","pose","canny"],"type":"string"},{"type":"null"}],"description":"Type of conditioning this video provides. This is relevant to ensure in-context LoRA weights are applied correctly, as well as selecting the correct preprocessing pipeline, when enabled."},"strength":{"maximum":1,"title":"Strength","default":1,"minimum":0,"description":"Strength of the conditioning. 0.0 means no conditioning, 1.0 means full conditioning.","type":"number"},"limit_num_frames":{"default":false,"title":"Limit Number of Frames","description":"Whether to limit the number of frames used from the video. If True, the `max_num_frames` parameter will be used to limit the number of frames.","type":"boolean"}},"title":"VideoConditioningInput","x-fal-order-properties":["video_url","conditioning_type","preprocess","start_frame_num","strength","limit_num_frames","max_num_frames","resample_fps","target_fps","reverse_video"],"type":"object"},"ImageConditioningInput":{"required":["image_url"],"properties":{"start_frame_num":{"maximum":1440,"title":"Start Frame Number","multipleOf":8,"default":0,"minimum":0,"description":"Frame number of the image from which the conditioning starts. Must be a multiple of 8.","type":"integer"},"image_url":{"title":"Image URL","description":"URL of image to use as conditioning","type":"string"},"strength":{"maximum":1,"title":"Strength","default":1,"minimum":0,"description":"Strength of the conditioning. 0.0 means no conditioning, 1.0 means full conditioning.","type":"number"}},"title":"ImageConditioningInput","x-fal-order-properties":["image_url","start_frame_num","strength"],"type":"object"},"File":{"required":["url"],"properties":{"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/ltx-video-13b-distilled/multiconditioning/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-13b-distilled/multiconditioning/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video-13b-distilled/multiconditioning":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideo13bDistilledMulticonditioningInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-13b-distilled/multiconditioning/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideo13bDistilledMulticonditioningOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/sound-effects","metadata":{"display_name":"PixVerse Sound Effects","category":"video-to-video","description":"Add immersive sound effects and background music to your videos using PixVerse sound effects  generation","status":"active","tags":["audio","utility"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/sound-effects","license_type":"commercial","date":"2025-07-07T20:56:55.765Z","group":{"key":"pixverse-45","label":"Sound Effects"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/sound-effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/sound-effects queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/sound-effects","category":"video-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/sound-effects","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/sound-effects/api","about":"Add sound effects to an existing video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseSoundEffectsInput":{"title":"SoundEffectRequest","properties":{"prompt":{"default":"","description":"Description of the sound effect to generate. If empty, a random sound effect will be generated","title":"Prompt","examples":["sea waves","thunder storm","birds chirping"],"type":"string"},"original_sound_switch":{"default":false,"title":"Original Sound Switch","type":"boolean","description":"Whether to keep the original audio from the video"},"video_url":{"description":"URL of the input video to add sound effects to","examples":["https://v3.fal.media/files/tiger/QfpJmEBkR75KpB6yfNLDM_video.mp4"],"title":"Video Url","type":"string"}},"required":["video_url"],"type":"object","x-fal-order-properties":["video_url","original_sound_switch","prompt"]},"PixverseSoundEffectsOutput":{"title":"SoundEffectOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":1534052,"url":"https://v3.fal.media/files/kangaroo/bBQr_DUeICo6_Ty_b_Y0I_output.mp4","file_name":"output.mp4"}],"description":"The video with added sound effects"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/sound-effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/sound-effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/sound-effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseSoundEffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/sound-effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseSoundEffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/workflow-utilities/reverse-video","metadata":{"display_name":"Workflow Utilities Reverse Video","category":"video-to-video","description":"FFMPEG Utility to Reverse Videos","status":"active","tags":["video-to-video"],"updated_at":"2026-02-19T14:16:07.199Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8f1c4d/wJYqiAHfB8xgLi42ui68x_be04f1afc8034fc29b4c1b9cafd413b6.png","model_url":"https://fal.run/fal-ai/workflow-utilities/reverse-video","license_type":"commercial","date":"2026-02-19T14:16:07.199Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/workflow-utilities/reverse-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/workflow-utilities/reverse-video queue.","x-fal-metadata":{"endpointId":"fal-ai/workflow-utilities/reverse-video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8f1c4d/wJYqiAHfB8xgLi42ui68x_be04f1afc8034fc29b4c1b9cafd413b6.png","playgroundUrl":"https://fal.ai/models/fal-ai/workflow-utilities/reverse-video","documentationUrl":"https://fal.ai/models/fal-ai/workflow-utilities/reverse-video/api","about":"Reverse a video so it plays backwards.\n\nUses ffmpeg's reverse filter to reverse both video and audio streams."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WorkflowUtilitiesReverseVideoInput":{"x-fal-order-properties":["video_url"],"title":"ReverseVideoInput","description":"Input model for reversing a video","properties":{"video_url":{"title":"Video Url","examples":["https://storage.googleapis.com/falserverless/example_outputs/wan-25-i2v-output.mp4"],"description":"URL of the video file to reverse","max_file_size":524288000,"type":"string"}},"type":"object","required":["video_url"]},"WorkflowUtilitiesReverseVideoOutput":{"x-fal-order-properties":["video"],"title":"ReverseVideoOutput","description":"Output model for reversed video","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"file_size":3456789,"file_name":"output.mp4","content_type":"video/mp4","url":"ttps://v3b.fal.media/files/b/0a8f1bc2/HZdek_1QHprZFiE-46DyO_output.mp4"}],"description":"The reversed video"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/workflow-utilities/reverse-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/workflow-utilities/reverse-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/workflow-utilities/reverse-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowUtilitiesReverseVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/workflow-utilities/reverse-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowUtilitiesReverseVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/dwpose/video","metadata":{"display_name":"DWPose Pose Prediction","category":"video-to-video","description":"Predict poses from videos.","status":"active","tags":["pose","utility"],"updated_at":"2026-01-26T21:43:27.729Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/dwpose.jpeg","model_url":"https://fal.run/fal-ai/dwpose/video","license_type":"commercial","date":"2025-06-15T05:20:30.597Z","group":{"key":"dwpose","label":"Video to Pose"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/dwpose/video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/dwpose/video queue.","x-fal-metadata":{"endpointId":"fal-ai/dwpose/video","category":"video-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/dwpose.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/dwpose/video","documentationUrl":"https://fal.ai/models/fal-ai/dwpose/video/api","about":"Predict Video Pose"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"DwposeVideoInput":{"required":["video_url"],"type":"object","title":"DWPoseVideoInput","x-fal-order-properties":["video_url","draw_mode"],"properties":{"video_url":{"type":"string","description":"URL of video to be used for pose estimation","title":"Video Url","examples":["https://storage.googleapis.com/falserverless/gallery/Ben2/100063-video-2160.mp4"]},"draw_mode":{"default":"body-pose","enum":["full-pose","body-pose","face-pose","hand-pose","face-hand-mask","face-mask","hand-mask"],"type":"string","description":"Mode of drawing the pose on the video. Options are: 'full-pose', 'body-pose', 'face-pose', 'hand-pose', 'face-hand-mask', 'face-mask', 'hand-mask'.","title":"Draw Mode","examples":["body-pose"]}}},"DwposeVideoOutput":{"required":["video"],"type":"object","title":"DWPoseVideoOutput","x-fal-order-properties":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The output video with pose estimation.","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/dwpose-video-output.mp4","content_type":"video/mp4"}]}}},"File":{"required":["url"],"type":"object","title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}}}}},"paths":{"/fal-ai/dwpose/video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/dwpose/video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/dwpose/video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DwposeVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/dwpose/video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DwposeVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-vace-14b/reframe","metadata":{"display_name":"Wan VACE 14B","category":"video-to-video","description":"VACE is a video generation model that uses a source image, mask, and video to create prompted videos with controllable sources.","status":"active","tags":["reframe"],"updated_at":"2026-04-21T17:56:16.808Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-1.jpg","model_url":"https://fal.run/fal-ai/wan-vace-14b/reframe","license_type":"commercial","date":"2025-06-18T19:22:46.388Z","group":{"key":"wan-vace-14b","label":"Reframe"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan-vace-14b/reframe","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-vace-14b/reframe queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-vace-14b/reframe","category":"video-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-1.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-vace-14b/reframe","documentationUrl":"https://fal.ai/models/fal-ai/wan-vace-14b/reframe/api","about":"Endpoint for reframing a video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanVace14bReframeInput":{"required":["video_url"],"properties":{"enable_auto_downsample":{"default":false,"title":"Enable Auto Downsample","examples":[false],"type":"boolean","description":"If true, the model will automatically temporally downsample the video to an appropriate frame length for the model, then will interpolate it back to the original frame length."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"auto_downsample_min_fps":{"maximum":60,"title":"Auto Downsample Min FPS","examples":[15],"default":15,"minimum":1,"type":"number","description":"The minimum frames per second to downsample the video to. This is used to help determine the auto downsample factor to try and find the lowest detail-preserving downsample factor. The default value is appropriate for most videos, if you are using a video with very fast motion, you may need to increase this value. If your video has a very low amount of motion, you could decrease this value to allow for higher downsampling and thus longer sequences."},"interpolator_model":{"default":"film","title":"Interpolator Model","examples":["film"],"enum":["rife","film"],"type":"string","description":"The model to use for frame interpolation. Options are 'rife' or 'film'."},"aspect_ratio":{"default":"auto","title":"Aspect Ratio","enum":["auto","16:9","1:1","9:16"],"type":"string","description":"Aspect ratio of the generated video."},"sampler":{"default":"unipc","title":"Sampler","examples":["unipc"],"enum":["unipc","dpm++","euler"],"type":"string","description":"Sampler to use for video generation."},"last_frame_url":{"title":"Last Frame URL","anyOf":[{"type":"string"},{"type":"null"}],"description":"URL to the last frame of the video. If provided, the model will use this frame as a reference."},"frames_per_second":{"default":16,"title":"Frames per Second","anyOf":[{"maximum":30,"minimum":5,"type":"integer"},{"type":"null"}],"description":"Frames per second of the generated video. Must be between 5 to 30. Ignored if match_input_frames_per_second is true."},"first_frame_url":{"title":"First Frame URL","anyOf":[{"type":"string"},{"type":"null"}],"description":"URL to the first frame of the video. If provided, the model will use this frame as a reference."},"video_url":{"title":"Video URL","examples":["https://storage.googleapis.com/falserverless/web-examples/wan/t2v.mp4"],"type":"string","description":"URL to the source video file. This video will be used as a reference for the reframe task."},"guidance_scale":{"maximum":10,"title":"Guidance Scale","examples":[5],"default":5,"minimum":1,"type":"number","description":"Guidance scale for classifier-free guidance. Higher values encourage the model to generate images closely related to the text prompt."},"prompt":{"default":"","title":"Prompt","examples":[""],"type":"string","description":"The text prompt to guide video generation. Optional for reframing."},"trim_borders":{"default":true,"title":"Trim Borders","examples":[true],"type":"boolean","description":"Whether to trim borders from the video."},"num_interpolated_frames":{"maximum":5,"title":"Number of Interpolated Frames","examples":[0],"default":0,"minimum":0,"type":"integer","description":"Number of frames to interpolate between the original frames. A value of 0 means no interpolation."},"transparency_mode":{"default":"content_aware","title":"Transparency Mode","examples":["content_aware"],"enum":["content_aware","white","black"],"type":"string","description":"The transparency mode to apply to the first and last frames. This controls how the transparent areas of the first and last frames are filled."},"shift":{"maximum":15,"title":"Shift","default":5,"minimum":1,"type":"number","description":"Shift parameter for video generation."},"resolution":{"default":"auto","title":"Resolution","enum":["auto","240p","360p","480p","580p","720p"],"type":"string","description":"Resolution of the generated video."},"num_frames":{"maximum":241,"title":"Number of Frames","default":81,"minimum":17,"type":"integer","description":"Number of frames to generate. Must be between 81 to 241 (inclusive)."},"num_inference_steps":{"maximum":50,"title":"Number of Inference Steps","default":30,"minimum":2,"type":"integer","description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"sync_mode":{"default":false,"title":"Sync Mode","examples":[false],"type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"acceleration":{"default":"regular","title":"Acceleration","examples":["regular"],"anyOf":[{"enum":["none","low","regular"],"type":"string"},{"type":"null"}],"description":"Acceleration to use for inference. Options are 'none' or 'regular'. Accelerated inference will very slightly affect output, but will be significantly faster."},"enable_prompt_expansion":{"default":false,"title":"Enable Prompt Expansion","examples":[false],"type":"boolean","description":"Whether to enable prompt expansion."},"enable_safety_checker":{"default":false,"title":"Enable Safety Checker","examples":[true],"type":"boolean","description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked."},"match_input_num_frames":{"default":true,"title":"Match Input Number of Frames","examples":[true],"type":"boolean","description":"If true, the number of frames in the generated video will match the number of frames in the input video. If false, the number of frames will be determined by the num_frames parameter."},"zoom_factor":{"maximum":0.9,"title":"Zoom Factor","examples":[0],"default":0,"minimum":0,"type":"number","description":"Zoom factor for the video. When this value is greater than 0, the video will be zoomed in by this factor (in relation to the canvas size,) cutting off the edges of the video. A value of 0 means no zoom."},"video_quality":{"default":"high","title":"Video Quality","examples":["high"],"enum":["low","medium","high","maximum"],"type":"string","description":"The quality of the generated video."},"return_frames_zip":{"default":false,"title":"Return Frames Zip","examples":[false],"type":"boolean","description":"If true, also return a ZIP file containing all generated frames."},"negative_prompt":{"default":"letterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards","title":"Negative Prompt","examples":["letterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"type":"string","description":"Negative prompt for video generation."},"video_write_mode":{"default":"balanced","title":"Video Write Mode","examples":["balanced"],"enum":["fast","balanced","small"],"type":"string","description":"The write mode of the generated video."},"temporal_downsample_factor":{"maximum":5,"title":"Temporal Downsample Factor","examples":[0],"default":0,"minimum":0,"type":"integer","description":"Temporal downsample factor for the video. This is an integer value that determines how many frames to skip in the video. A value of 0 means no downsampling. For each downsample factor, one upsample factor will automatically be applied."},"match_input_frames_per_second":{"default":true,"title":"Match Input Frames Per Second","examples":[true],"type":"boolean","description":"If true, the frames per second of the generated video will match the input video. If false, the frames per second will be determined by the frames_per_second parameter."}},"title":"WanVACEReframeRequest","x-fal-order-properties":["prompt","negative_prompt","match_input_num_frames","num_frames","match_input_frames_per_second","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","guidance_scale","sampler","shift","video_url","first_frame_url","last_frame_url","enable_safety_checker","enable_prompt_expansion","acceleration","video_quality","video_write_mode","num_interpolated_frames","temporal_downsample_factor","enable_auto_downsample","auto_downsample_min_fps","interpolator_model","sync_mode","transparency_mode","return_frames_zip","zoom_factor","trim_borders"],"type":"object"},"WanVace14bReframeOutput":{"required":["video","prompt","seed"],"properties":{"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/wan-vace-reframe-output.mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated reframe video file."},"frames_zip":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"ZIP archive of all video frames if requested."},"prompt":{"title":"Prompt","type":"string","description":"The prompt used for generation."}},"title":"WanVACEReframeResponse","x-fal-order-properties":["video","prompt","seed","frames_zip"],"type":"object"},"VideoFile":{"required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"num_frames":{"title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video"},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"duration":{"title":"Duration","anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video"},"height":{"title":"Height","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video"},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"fps":{"title":"Fps","anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video"},"width":{"title":"Width","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video"}},"title":"VideoFile","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"type":"object"},"File":{"required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/wan-vace-14b/reframe/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-vace-14b/reframe/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-vace-14b/reframe":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanVace14bReframeInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-vace-14b/reframe/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanVace14bReframeOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-vace-14b/outpainting","metadata":{"display_name":"Wan VACE 14B","category":"video-to-video","description":"VACE is a video generation model that uses a source image, mask, and video to create prompted videos with controllable sources.","status":"active","tags":["image-to-video","video-to-video","text-to-video"],"updated_at":"2026-04-21T17:56:15.681Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-1.jpg","model_url":"https://fal.run/fal-ai/wan-vace-14b/outpainting","license_type":"commercial","date":"2025-06-18T19:21:35.546Z","group":{"key":"wan-vace-14b","label":"Outpainting"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan-vace-14b/outpainting","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-vace-14b/outpainting queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-vace-14b/outpainting","category":"video-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-1.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-vace-14b/outpainting","documentationUrl":"https://fal.ai/models/fal-ai/wan-vace-14b/outpainting/api","about":"Endpoint for outpainting a video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanVace14bOutpaintingInput":{"required":["prompt","video_url"],"properties":{"enable_auto_downsample":{"default":false,"title":"Enable Auto Downsample","examples":[false],"type":"boolean","description":"If true, the model will automatically temporally downsample the video to an appropriate frame length for the model, then will interpolate it back to the original frame length."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"auto_downsample_min_fps":{"maximum":60,"title":"Auto Downsample Min FPS","examples":[15],"default":15,"minimum":1,"type":"number","description":"The minimum frames per second to downsample the video to. This is used to help determine the auto downsample factor to try and find the lowest detail-preserving downsample factor. The default value is appropriate for most videos, if you are using a video with very fast motion, you may need to increase this value. If your video has a very low amount of motion, you could decrease this value to allow for higher downsampling and thus longer sequences."},"interpolator_model":{"default":"film","title":"Interpolator Model","examples":["film"],"enum":["rife","film"],"type":"string","description":"The model to use for frame interpolation. Options are 'rife' or 'film'."},"aspect_ratio":{"default":"auto","title":"Aspect Ratio","enum":["auto","16:9","1:1","9:16"],"type":"string","description":"Aspect ratio of the generated video."},"sampler":{"default":"unipc","title":"Sampler","examples":["unipc"],"enum":["unipc","dpm++","euler"],"type":"string","description":"Sampler to use for video generation."},"last_frame_url":{"title":"Last Frame URL","anyOf":[{"type":"string"},{"type":"null"}],"description":"URL to the last frame of the video. If provided, the model will use this frame as a reference."},"ref_image_urls":{"title":"Reference Image URLs","items":{"type":"string"},"type":"array","description":"URLs to source reference image. If provided, the model will use this image as reference."},"frames_per_second":{"default":16,"title":"Frames per Second","anyOf":[{"maximum":30,"minimum":5,"type":"integer"},{"type":"null"}],"description":"Frames per second of the generated video. Must be between 5 to 30. Ignored if match_input_frames_per_second is true."},"first_frame_url":{"title":"First Frame URL","anyOf":[{"type":"string"},{"type":"null"}],"description":"URL to the first frame of the video. If provided, the model will use this frame as a reference."},"expand_right":{"default":false,"title":"Expand Right","examples":[true],"description":"Whether to expand the video to the right.","type":"boolean"},"expand_top":{"default":false,"title":"Expand Top","examples":[true],"description":"Whether to expand the video to the top.","type":"boolean"},"video_url":{"title":"Video URL","examples":["https://storage.googleapis.com/falserverless/web-examples/wan/t2v.mp4"],"type":"string","description":"URL to the source video file. Required for outpainting."},"guidance_scale":{"maximum":10,"title":"Guidance Scale","examples":[5],"default":5,"minimum":1,"type":"number","description":"Guidance scale for classifier-free guidance. Higher values encourage the model to generate images closely related to the text prompt."},"prompt":{"title":"Prompt","examples":["A lone woman strides through the neon-drenched streets of Tokyo at night.  Her crimson dress, a vibrant splash of color against the deep blues and blacks of the cityscape, flows slightly with each step. A tailored black jacket, crisp and elegant, contrasts sharply with the dress's rich texture. Medium shot:  The city hums around her, blurred lights creating streaks of color in the background. Close-up:  The fabric of her dress catches the streetlight's glow, revealing a subtle silk sheen and the intricate stitching at the hem. Her black jacket’s subtle texture is visible – a fine wool perhaps, with a matte finish. The overall mood is one of quiet confidence and mystery, a vibrant woman navigating a bustling, nocturnal landscape. High resolution 4k."],"type":"string","description":"The text prompt to guide video generation."},"num_interpolated_frames":{"maximum":5,"title":"Number of Interpolated Frames","examples":[0],"default":0,"minimum":0,"type":"integer","description":"Number of frames to interpolate between the original frames. A value of 0 means no interpolation."},"transparency_mode":{"default":"content_aware","title":"Transparency Mode","examples":["content_aware"],"enum":["content_aware","white","black"],"type":"string","description":"The transparency mode to apply to the first and last frames. This controls how the transparent areas of the first and last frames are filled."},"shift":{"maximum":15,"title":"Shift","default":5,"minimum":1,"type":"number","description":"Shift parameter for video generation."},"resolution":{"default":"auto","title":"Resolution","enum":["auto","240p","360p","480p","580p","720p"],"type":"string","description":"Resolution of the generated video."},"num_frames":{"maximum":241,"title":"Number of Frames","default":81,"minimum":17,"type":"integer","description":"Number of frames to generate. Must be between 81 to 241 (inclusive)."},"num_inference_steps":{"maximum":50,"title":"Number of Inference Steps","default":30,"minimum":2,"type":"integer","description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"enable_prompt_expansion":{"default":false,"title":"Enable Prompt Expansion","examples":[false],"type":"boolean","description":"Whether to enable prompt expansion."},"acceleration":{"default":"regular","title":"Acceleration","examples":["regular"],"anyOf":[{"enum":["none","low","regular"],"type":"string"},{"type":"null"}],"description":"Acceleration to use for inference. Options are 'none' or 'regular'. Accelerated inference will very slightly affect output, but will be significantly faster."},"sync_mode":{"default":false,"title":"Sync Mode","examples":[false],"type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"enable_safety_checker":{"default":false,"title":"Enable Safety Checker","examples":[true],"type":"boolean","description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked."},"match_input_num_frames":{"default":false,"title":"Match Input Number of Frames","examples":[false],"type":"boolean","description":"If true, the number of frames in the generated video will match the number of frames in the input video. If false, the number of frames will be determined by the num_frames parameter."},"expand_ratio":{"maximum":1,"title":"Expand Ratio","default":0.25,"description":"Amount of expansion. This is a float value between 0 and 1, where 0.25 adds 25% to the original video size on the specified sides.","type":"number","examples":[0.25],"minimum":0},"expand_left":{"default":false,"title":"Expand Left","examples":[true],"description":"Whether to expand the video to the left.","type":"boolean"},"video_quality":{"default":"high","title":"Video Quality","examples":["high"],"enum":["low","medium","high","maximum"],"type":"string","description":"The quality of the generated video."},"return_frames_zip":{"default":false,"title":"Return Frames Zip","examples":[false],"type":"boolean","description":"If true, also return a ZIP file containing all generated frames."},"negative_prompt":{"default":"letterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards","title":"Negative Prompt","examples":["letterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"type":"string","description":"Negative prompt for video generation."},"video_write_mode":{"default":"balanced","title":"Video Write Mode","examples":["balanced"],"enum":["fast","balanced","small"],"type":"string","description":"The write mode of the generated video."},"expand_bottom":{"default":false,"title":"Expand Bottom","examples":[true],"description":"Whether to expand the video to the bottom.","type":"boolean"},"temporal_downsample_factor":{"maximum":5,"title":"Temporal Downsample Factor","examples":[0],"default":0,"minimum":0,"type":"integer","description":"Temporal downsample factor for the video. This is an integer value that determines how many frames to skip in the video. A value of 0 means no downsampling. For each downsample factor, one upsample factor will automatically be applied."},"match_input_frames_per_second":{"default":false,"title":"Match Input Frames Per Second","examples":[false],"type":"boolean","description":"If true, the frames per second of the generated video will match the input video. If false, the frames per second will be determined by the frames_per_second parameter."}},"title":"WanVACEOutpaintingRequest","x-fal-order-properties":["prompt","negative_prompt","match_input_num_frames","num_frames","match_input_frames_per_second","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","guidance_scale","sampler","shift","video_url","ref_image_urls","first_frame_url","last_frame_url","enable_safety_checker","enable_prompt_expansion","acceleration","video_quality","video_write_mode","num_interpolated_frames","temporal_downsample_factor","enable_auto_downsample","auto_downsample_min_fps","interpolator_model","sync_mode","transparency_mode","return_frames_zip","expand_left","expand_right","expand_top","expand_bottom","expand_ratio"],"type":"object"},"WanVace14bOutpaintingOutput":{"required":["video","prompt","seed"],"properties":{"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/wan-vace-outpainting-output.mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated outpainting video file."},"frames_zip":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"ZIP archive of all video frames if requested."},"prompt":{"title":"Prompt","type":"string","description":"The prompt used for generation."}},"title":"WanVACEOutpaintingResponse","x-fal-order-properties":["video","prompt","seed","frames_zip"],"type":"object"},"VideoFile":{"required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"num_frames":{"title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video"},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"duration":{"title":"Duration","anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video"},"height":{"title":"Height","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video"},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"fps":{"title":"Fps","anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video"},"width":{"title":"Width","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video"}},"title":"VideoFile","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"type":"object"},"File":{"required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/wan-vace-14b/outpainting/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-vace-14b/outpainting/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-vace-14b/outpainting":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanVace14bOutpaintingInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-vace-14b/outpainting/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanVace14bOutpaintingOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-22b/reference-video-to-video","metadata":{"display_name":"LTX-2.3 22B","category":"video-to-video","description":"Generate video with audio from reference video, text and images using LTX-2.3","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a96456f/JbntZrZ_sQXFMjtflnhry_d049da50946f41bcb302947f48d5271f.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/reference-video-to-video","license_type":"commercial","date":"2026-04-14T21:51:07.870Z","group":{"key":"ltx-2.3-22b","label":"Reference Video to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-v2v-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/reference-video-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/reference-video-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/reference-video-to-video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a96456f/JbntZrZ_sQXFMjtflnhry_d049da50946f41bcb302947f48d5271f.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/reference-video-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/reference-video-to-video/api","about":"Generate a video from a reference video and text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bReferenceVideoToVideoInput":{"x-fal-order-properties":["prompt","video_url","audio_url","image_url","end_image_url","match_video_length","num_frames","video_size","generate_audio","use_multiscale","match_input_fps","fps","num_inference_steps","video_cfg_scale","video_stg_scale","video_rescaling_scale","video_modality_scale","audio_cfg_scale","audio_stg_scale","audio_rescaling_scale","audio_modality_scale","gradient_estimation_gamma","use_restart_sampling","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","distill_lora_first_pass_scale","distill_lora_second_pass_scale","video_strength","audio_strength","preprocessor","ic_lora_type"],"properties":{"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","title":"Enable Safety Checker","default":true},"video_write_mode":{"description":"The write mode of the generated video.","type":"string","title":"Video Write Mode","enum":["fast","balanced","small"],"default":"balanced"},"ic_lora_type":{"examples":["union"],"description":"The IC LoRA type to use for the generation.","type":"string","title":"IC-LoRA Type","enum":["match_preprocessor","union","detailer","none"],"default":"union"},"audio_stg_scale":{"minimum":0,"description":"The Spatiotemporal Guidance (STG) scale for the audio. Higher values result in more consistent and focused audio content.","type":"number","title":"Audio STG Scale","maximum":20,"default":0},"video_quality":{"description":"The quality of the generated video.","type":"string","title":"Video Quality","enum":["low","medium","high","maximum"],"default":"high"},"prompt":{"examples":["style: cinematic/realistic. A man wearing a baseball cap walks through a modern town. He holds a coffee cup."],"description":"The prompt to generate the video from.","type":"string","title":"Prompt"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator.","title":"Seed"},"negative_prompt":{"description":"The negative prompt to generate the video from.","type":"string","title":"Negative Prompt","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static"},"num_frames":{"minimum":9,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","maximum":481,"default":121},"use_restart_sampling":{"description":"Whether to use restart sampling. This will inject a small amount of noise during each denoising step, which can help improve the quality of the generated video.","type":"boolean","title":"Use Restart Sampling","default":false},"video_modality_scale":{"minimum":0,"description":"The modality scale for the video. Controls the ratio between video and audio modalities.","type":"number","title":"Video Modality Scale","maximum":10,"default":3},"camera_lora_scale":{"minimum":0,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","maximum":1,"default":1},"image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"An optional URL of an image to use as the first frame of the video.","title":"Image URL"},"acceleration":{"examples":["regular"],"description":"The acceleration level to use.","type":"string","title":"Acceleration","enum":["none","regular","high","full"],"default":"regular"},"video_stg_scale":{"minimum":0,"description":"The Spatiotemporal Guidance (STG) scale for the video. Higher values result in more consistent and focused video content.","type":"number","title":"Video STG Scale","maximum":20,"default":0},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated video.","default":"auto","title":"Video Size"},"audio_strength":{"minimum":0,"description":"Audio conditioning strength. Lower values represent more freedom given to the model to change the audio content.","type":"number","title":"Audio Strength","maximum":1,"default":1},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"video_url":{"examples":["https://v3b.fal.media/files/b/0a963ecf/eVoII1AsconU8SpPx5xoE_output.mp4"],"description":"The URL of the video to reference.","type":"string","title":"Video URL"},"camera_lora":{"examples":["none"],"description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"string","title":"Camera LoRA","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"default":"none"},"video_cfg_scale":{"minimum":1,"description":"The Classifier-Free Guidance (CFG) scale for the video. Higher values result in more consistent and focused video content.","type":"number","title":"Video CFG Scale","maximum":20,"default":3},"scheduler":{"examples":["ltx2"],"description":"The scheduler to use.","type":"string","title":"Scheduler","enum":["ltx2","linear_quadratic","beta"],"default":"ltx2"},"audio_modality_scale":{"minimum":0,"description":"The modality scale for the audio. Controls the ratio between video and audio modalities.","type":"number","title":"Audio Modality Scale","maximum":10,"default":3},"audio_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"An optional URL of an audio to use as the audio for the video. If not provided, any audio present in the input video will be used.","title":"Audio URL"},"distill_lora_second_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the second and subsequent passes.","type":"number","title":"Distill Lora Second Pass Scale","maximum":1,"default":0.5},"audio_rescaling_scale":{"minimum":0,"description":"The rescaling scale for the audio. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","type":"number","title":"Audio Rescaling Scale","maximum":1,"default":0.7},"distill_lora_first_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the first pass. Set to 0 to disable.","type":"number","title":"Distill Lora First Pass Scale","maximum":1,"default":0.2},"video_rescaling_scale":{"minimum":0,"description":"The rescaling scale for the video. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","type":"number","title":"Video Rescaling Scale","maximum":1,"default":0.7},"match_video_length":{"description":"When enabled, the number of frames will be calculated based on the video duration and FPS. When disabled, use the specified num_frames.","type":"boolean","title":"Match Video Length","default":true},"fps":{"minimum":1,"description":"The frames per second of the generated video.","type":"number","title":"FPS","maximum":60,"default":24},"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"match_input_fps":{"description":"When true, match the output FPS to the input video's FPS instead of using the default target FPS.","type":"boolean","title":"Match Input FPS","default":true},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean","title":"Sync Mode","default":false},"num_inference_steps":{"minimum":8,"description":"The number of inference steps to use.","type":"integer","title":"Number of Inference Steps","maximum":50,"default":40},"gradient_estimation_gamma":{"minimum":0,"description":"The gamma of gradient estimation during denoising. Set to 0 to disable.","type":"number","title":"Gradient Estimation Gamma","maximum":10,"default":2},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the image to use as the end of the video.","title":"End Image URL"},"video_strength":{"minimum":0,"description":"Video conditioning strength. Lower values represent more freedom given to the model to change the video content.","type":"number","title":"Video Strength","maximum":1,"default":1},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","title":"Enable Prompt Expansion","default":true},"video_output_type":{"description":"The output type of the generated video.","type":"string","title":
[...]
